Create VPN server
curl --request POST \
--url https://demo.onlinebillingform.com/api/v2/vpn/servers/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_id": 123,
"server_name": "<string>",
"ip_address": "127.0.0.1",
"ssh_port": 123,
"ssh_username": "<string>",
"ssh_password": "<string>",
"max_connection": 123,
"vpn_type": 123,
"vpn_port": "<string>",
"vpn_custom_port": "<string>",
"vpn_protocol": "<string>"
}
'import requests
url = "https://demo.onlinebillingform.com/api/v2/vpn/servers/create"
payload = {
"country_id": 123,
"server_name": "<string>",
"ip_address": "127.0.0.1",
"ssh_port": 123,
"ssh_username": "<string>",
"ssh_password": "<string>",
"max_connection": 123,
"vpn_type": 123,
"vpn_port": "<string>",
"vpn_custom_port": "<string>",
"vpn_protocol": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_id: 123,
server_name: '<string>',
ip_address: '127.0.0.1',
ssh_port: 123,
ssh_username: '<string>',
ssh_password: '<string>',
max_connection: 123,
vpn_type: 123,
vpn_port: '<string>',
vpn_custom_port: '<string>',
vpn_protocol: '<string>'
})
};
fetch('https://demo.onlinebillingform.com/api/v2/vpn/servers/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": false,
"errors": "Invalid API Key"
}{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}VPN
Create VPN server
POST
/
vpn
/
servers
/
create
Create VPN server
Authorizations
Use Authorization: Bearer <live_api_key>.
Body
application/jsonapplication/x-www-form-urlencoded
1=OpenVPN, 2=WireGuard, 3=IKEv2, 4=other
default, random, or custom
udp or tcp
Response
OK
⌘I